BasicValue (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.tree.analysis

## Class BasicValue

- java.lang.Object
- - org.objectweb.asm.tree.analysis.BasicValue

- All Implemented Interfaces:
    Value

      public class BasicValue
      extends Object
      implements Value

  A `Value` that is represented by its type in a seven types type system. This type system distinguishes the UNINITIALZED, INT, FLOAT, LONG, DOUBLE, REFERENCE and RETURNADDRESS types.
  Author:
    Eric Bruneton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BasicValue` | `DOUBLE_VALUE`
    `static BasicValue` | `FLOAT_VALUE`
    `static BasicValue` | `INT_VALUE`
    `static BasicValue` | `LONG_VALUE`
    `static BasicValue` | `REFERENCE_VALUE`
    `static BasicValue` | `RETURNADDRESS_VALUE`
    `static BasicValue` | `UNINITIALIZED_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicValue(Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object value)`
    `int` | `getSize()` Returns the size of this value in words.
    `Type` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isReference()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNINITIALIZED_VALUE

          public static final BasicValue UNINITIALIZED_VALUE

    - #### INT_VALUE

          public static final BasicValue INT_VALUE

    - #### FLOAT_VALUE

          public static final BasicValue FLOAT_VALUE

    - #### LONG_VALUE

          public static final BasicValue LONG_VALUE

    - #### DOUBLE_VALUE

          public static final BasicValue DOUBLE_VALUE

    - #### REFERENCE_VALUE

          public static final BasicValue REFERENCE_VALUE

    - #### RETURNADDRESS_VALUE

          public static final BasicValue RETURNADDRESS_VALUE

  - ### Constructor Detail

    - #### BasicValue

          public BasicValue(Type type)

  - ### Method Detail

    - #### getType

          public Type getType()

    - #### getSize

          public int getSize()

      Description copied from interface: `Value`
      Returns the size of this value in words.
      Specified by:
        `getSize` in interface `Value`
      Returns:
        either 1 or 2.

    - #### isReference

          public boolean isReference()

    - #### equals

          public boolean equals(Object value)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`